## org.eclipse.emf.compare.diff.metamodel
Interface ReferenceChange

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ReferenceChangeLeftTarget, ReferenceChangeRightTarget, ReferenceOrderChange, UpdateReference

All Known Implementing Classes:
  ReferenceChangeImpl, ReferenceChangeLeftTargetImpl, ReferenceChangeRightTargetImpl, ReferenceOrderChangeImpl, UpdateReferenceImpl

    public interface ReferenceChange

extends DiffElement

A representation of the model object 'Reference Change'. Superclass of elements describing difference between the values of a given reference.

The following features are supported:

- `Reference`
- `Right Element`
- `Left Element`

See Also:
  `DiffPackage.getReferenceChange()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getLeftElement()` Returns the value of the 'Left Element' reference
`org.eclipse.emf.ecore.EReference` `getReference()` Returns the value of the 'Reference' reference
`org.eclipse.emf.ecore.EObject` `getRightElement()` Returns the value of the 'Right Element' reference
`void` `setLeftElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Left Element`' reference
`void` `setReference(org.eclipse.emf.ecore.EReference value)` Sets the value of the '`Reference`' reference
`void` `setRightElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Right Element`' reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftElement

    org.eclipse.emf.ecore.EObject getLeftElement()

  Returns the value of the 'Left Element' reference.

  If the meaning of the 'Left Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Element' reference.
  See Also:
    `setLeftElement(EObject)`, `DiffPackage.getReferenceChange_LeftElement()`

### getReference

    org.eclipse.emf.ecore.EReference getReference()

  Returns the value of the 'Reference' reference.

  If the meaning of the 'Reference' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reference' reference.
  See Also:
    `setReference(EReference)`, `DiffPackage.getReferenceChange_Reference()`

### getRightElement

    org.eclipse.emf.ecore.EObject getRightElement()

  Returns the value of the 'Right Element' reference.

  If the meaning of the 'Right Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Element' reference.
  See Also:
    `setRightElement(EObject)`, `DiffPackage.getReferenceChange_RightElement()`

### setLeftElement

    void setLeftElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Left Element`' reference.

  Parameters:
    `value` - the new value of the 'Left Element' reference.
  See Also:
    `getLeftElement()`

### setReference

    void setReference(org.eclipse.emf.ecore.EReference value)

  Sets the value of the '`Reference`' reference.

  Parameters:
    `value` - the new value of the 'Reference' reference.
  See Also:
    `getReference()`

### setRightElement

    void setRightElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Right Element`' reference.

  Parameters:
    `value` - the new value of the 'Right Element' reference.
  See Also:
    `getRightElement()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.